Is Asterisk 1.4 compatible with 1.8.7 ?

Report
Question

After upgrading one of my server to asterisk 1.8.7.2 (the older is running 1.4.39) When I try to dialin on asterisk-1.4.39 I get an error:
NOTICE[2414]: chan_iax2.c:9541 socket_process: Rejected connect attempt from 192.168.141.8, requested/capability 0x2/0x703 incompatible with our
capability 0xc.
NOTICE[2417]: chan_iax2.c:9541 socket_process: Rejected connect attempt from 192.168.141.8, requested/capability 0x2/0x703
incompatible with our capability 0xc. On asterisk-1.8.7 I get:
WARNING[4277]: chan_iax2.c:10666 socket_process: Call rejected by 192.168.141.1: Unable to negotiate codec
I'm using ulaw / alaw code; why don't they communicate? iax.conf (1.4.39)
[home_server]
disallow=all
allow=ulaw
allow=alaw iax.conf (1.8.7)

Asterisk Users 3.7 years ago 6 Answers